libmtp: LIBMTP_album_struct Struct Reference

libmtp 1.1.23

Data Fields
LIBMTP_album_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields
uint32_t | album_id
uint32_t | parent_id
uint32_t | storage_id
char * | name
char * | artist
char * | composer
char * | genre
uint32_t * | tracks
uint32_t | no_tracks
LIBMTP_album_t * | next

## Detailed Description

MTP Album structure

## Field Documentation

## ◆ album_id

uint32_t LIBMTP_album_struct::album_id

Unique playlist ID

Referenced by LIBMTP_Create_New_Album(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List_For_Storage(), LIBMTP_Set_Album_Name(), and LIBMTP_Update_Album().

## ◆ artist

char* LIBMTP_album_struct::artist

Name of album artist

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), and LIBMTP_Update_Album().

## ◆ composer

char* LIBMTP_album_struct::composer

Name of recording composer

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), and LIBMTP_Update_Album().

## ◆ genre

char* LIBMTP_album_struct::genre

Genre of album

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), and LIBMTP_Update_Album().

## ◆ name

char* LIBMTP_album_struct::name

Name of album

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), LIBMTP_Set_Album_Name(), and LIBMTP_Update_Album().

## ◆ next

LIBMTP_album_t* LIBMTP_album_struct::next

Next album or NULL if last album

Examples
  sendtr.c.

Referenced by LIBMTP_Get_Album_List_For_Storage().

## ◆ no_tracks

uint32_t LIBMTP_album_struct::no_tracks

The number of tracks in this album

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List_For_Storage(), and LIBMTP_Update_Album().

## ◆ parent_id

uint32_t LIBMTP_album_struct::parent_id

ID of parent folder

Referenced by LIBMTP_Create_New_Album(), LIBMTP_Get_Album(), and LIBMTP_Get_Album_List_For_Storage().

## ◆ storage_id

uint32_t LIBMTP_album_struct::storage_id

ID of storage holding this album

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_Get_Album(), and LIBMTP_Get_Album_List_For_Storage().

## ◆ tracks

uint32_t* LIBMTP_album_struct::tracks

The tracks in this album

Examples
  sendtr.c.

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List_For_Storage(), and LIBMTP_Update_Album().

The documentation for this struct was generated from the following file:

- libmtp.h